PHPExcel_Calculation_Token_Stack

category | PHPExcel_Calculation_Token_Stack
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Clear the stack

    clear()

## Return the number of entries on the stack

    count() : integer

### Returns

`integer`

## Return an entry from the stack without removing it

    last(integer $n) : mixed

### Parameters

#### $n

`integer`

number indicating how far back in the stack we want to look

### Returns

`mixed`

## Pop the last entry from the stack

    pop() : mixed

### Returns

`mixed`

## Push a new entry onto the stack

    push(mixed $type, mixed $value, mixed $reference)

### Parameters

#### $type

`mixed`

#### $value

`mixed`

#### $reference

`mixed`

### Properties

##

    $_count

@var integer

##

    $_stack

@var mixed[]